Keystone Developers
Open Keystone
API reference

Internal API

Scheduler tick

1 endpoint.

POST/api/v1/internal/tick

Tick

Process due auto-schedules.

When ``BLOG_TICK_USE_WORKFLOW`` is set and control plane URL/token are configured, enqueues ``tpl-blog-generation-e2e`` per due schedule; otherwise generates posts in-process.

Parameters

NameInTypeDescription
x-internal-api-keyheaderstring | null

Responses

200Successful Response
application/jsonSuccessResponse_TickResponse_
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredTickResponse
TickResponse fields
FieldTypeDescription
processedrequiredinteger
skippedintegerdefault 0
errorsrequiredinteger
detailsTickResultDetail[]
TickResultDetail[] fields

TickResultDetail (not expanded)

metadataResponseMetadata | null
ResponseMetadata fields
FieldTypeDescription
paginationPaginationMetadata | null
PaginationMetadata fields
FieldTypeDescription
limitrequiredinteger
next_cursorstring | null
prev_cursorstring | null
has_morerequiredboolean
has_prevbooleandefault false
total_countinteger | null
status_countsobject | null
object | null fields

Map of string to integer

lifecycle_countsLifecycleCounts | null
LifecycleCounts fields
FieldTypeDescription
leadintegerdefault 0
prospectintegerdefault 0
customerintegerdefault 0
former_customerintegerdefault 0
classification_countsClassificationCounts | null
ClassificationCounts fields
FieldTypeDescription
signalobject
object fields

Nested object (not expanded)

touchobject
object fields

Nested object (not expanded)

stageobject
object fields

Nested object (not expanded)

metaResponseMeta | null
ResponseMeta fields
FieldTypeDescription
totalinteger | null
total_countinteger | null
pageinteger | null
per_pageinteger | null
  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.